%define agiros_distro loong
%bcond_without tests
%bcond_without weak_deps

%global debug_package %{nil}
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/agiros/%{agiros_distro}/.*$
%global __requires_exclude_from ^/opt/agiros/%{agiros_distro}/.*$

%define RosPkgName      generate-parameter-library-py

Name:           agiros-%{agiros_distro}-%{RosPkgName}
Version:        0.3.3
Release:        1%{?dist}%{?release_suffix}
Summary:        Python to generate ROS parameter library.

License:        BSD-3-Clause
Source0:        %{name}_%{version}.orig.tar.gz

Requires: python3
Requires: python3-jinja2
Requires: python3-typeguard
Requires: python3-yaml
Requires: agiros-%{agiros_distro}-ros-workspace

BuildRequires: python3
BuildRequires: python3-jinja2
BuildRequires: python3-typeguard
BuildRequires: python3-yaml
BuildRequires: agiros-%{agiros_distro}-ros-workspace

%if 0%{?with_tests}
BuildRequires: agiros-%{agiros_distro}-ament-copyright
BuildRequires: python3-pytest
%endif

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description
Python to generate ROS parameter library.

%prep
%autosetup -p1

%build

# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_build

%install
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_install -- --prefix "/opt/agiros/%{agiros_distro}"

%if 0%{?with_tests}
%check
# Look for a directory with a name indicating that it contains tests
TEST_TARGET=$(ls -d * | grep -m1 "\(test\|tests\)" ||:)
if [ -n "$TEST_TARGET" ] && %__python3 -m pytest --version; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%__python3 -m pytest $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/agiros/%{agiros_distro}

%changelog
* Thu May 04 2023 Paul Gesel paul.gesel@picknik.ai - 0.3.3-1
- Autogenerated by ros-porting-tools
